function isRefuse(name)
{
	var refuseString = '123|111|222|333|444|aaa|ddd|sdf|sss|asd|---|——|……|...|admin|administrator|guest|user|keyword|keyname|系统|游客|会员|用户|关键字|版主|斑竹|管理员|毛泽东|周恩来|邓小平|江泽民|毛主席|周总理';
	if (refuseString.indexOf('|') == -1)
	{
		return false;
	}
	var refuseString = refuseString.split('|');
	for(i=0; i<=refuseString.length; i++)
	{
		if (name.toLowerCase().indexOf(refuseString[i]) != -1)
		{
			return true;
		}
	}
	return false;
}

function chkUrl(str)
{
	if (str.search(/^(http|https):\/\/[A-Za-z0-9%\-_@]+\.[A-Za-z0-9%\-_@]{2,}[A-Za-z0-9\.\/=\?%\-&_~`@[\]:+!;]*$/gi) >= 0)
	{
		return true;
	}
	return false;
}

function reguser()
{
     var f = document.forms[0];
     
 if (f.username.value == ''||f.username.value.length >10)
	{
		alert('请输入你的用户名，10字节以内！')
		f.username.focus();
		return false;
	}
    else if (isRefuse(f.username.value))
	{
		alert('会员名不合法，不能使用如下类型的名称 \n\n* 过于简单，如111、123、aaa等\n* 保留字词，如user、keyword、关键字等\n* 管理称谓，如admin、版主等\n* 政治人物名字！');
		f.username.focus();
		return false;
	}

	else if (f.userpass.value.length<3 || f.userpass.value.length>10)
	{
		alert('请输入你的密码3-10位字节！');
		f.userpass.focus();
		return false;
	}
	else if (f.userrepass.value =='')
	{
		alert('请再一次输入你的密码！');
		f.userrepass.focus();
		return false;
	}
	 else if (f.userrepass.value !=f.userpass.value )
	{
		alert('你输入的二次密码不一样！');
		f.userrepass.focus();
		return false;
	}
else if (f.useremail.value == '') {
    alert('请输入你常用的电子邮件！');
    f.useremail.focus();
    return false;
}
else if (f.useremail.value.search(/^[^\s@:"'<>,&]{2,}@[^\[\.]+\.[^\[]{2,}$/gi) < 0) {
    alert('请正确填写你的邮件地址！');
    f.useremail.focus();
    return false;
}
   else if (f.usersite.value == '')
	{
		alert('请填写你的网站名！');
		f.usersite.focus();
		return false;
	}  
		else if (f.userurl.value == ''||f.userurl.value.length >35)
	{
		alert('请输入你的网店网址35个字节内！');
		f.userurl.focus();
		return false;
	}
	else if (f.userurl.value != '' && f.userurl.value != 'http://' && !chkUrl(f.userurl.value))
	{
		alert('你填写了网店网址，但格式有错误，http://开始！');
		f.userurl.focus();
		return false;
	}
 else if (f.uclassfather.value == "")
{
alert("请选择网站大分类!");
f.uclassfather.focus();
return false;
}
else if (f.uclassid.value == "")
{
alert("请选择网站小分类!");
f.uclassid.focus();
return false;
}
    else if (f.usertext.value == ''||f.usertext.value.length <200)
	{
		alert('请输入你的网店介绍，不能小于200字节！');
		f.usertext.focus();
		return false;
	}
	else
	{
		return true;
	}
}

